| FlexDoc/XML XSDDoc Demo | XML Schemas for MathML 3.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

group "m:ContExp"

Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 58 elements
Defined: | globally in mathml3-strict-content.xsd; see XML source
Includes: | declarations of 43 elements
Referenced: | by 21 locations

Component Diagram

Complex Content Model
m:apply | m:bind | m:ci | m:cn | m:csymbol | m:cbytes | m:cerror | m:cs | m:share | m:piecewise | m:DeprecatedContExp | m:interval.class | m:unary-functional.class | m:lambda.class | m:nary-functional.class | m:quotient | m:divide | m:minus | m:power | m:rem | m:root | m:factorial | m:abs | m:conjugate | m:arg | m:real | m:imaginary | m:floor | m:ceiling | m:exp | m:nary-minmax.class | m:nary-arith.class | m:nary-logical.class | m:unary-logical.class | m:binary-logical.class | m:quantifier.class | m:nary-reln.class | m:binary-reln.class | m:int.class | m:Differential-Operator.class | m:partialdiff.class | m:unary-veccalc.class | m:nary-setlist-constructor.class | m:nary-set.class | m:binary-set.class | m:nary-set-reln.class | m:unary-set.class | m:sum.class | m:product.class | m:limit.class | m:unary-elementary.class | m:nary-stats.class | m:nary-constructor.class | m:unary-linalg.class | m:nary-linalg.class | m:binary-linalg.class | m:constant-set.class | m:constant-arith.class

Referenced By

- In definitions of other model groups (1):
  m:MathExpression
- In definitions of global complexTypes (1):
  m:apply.content
- In definitions of anonymous complexTypes of elements (19):

  m:cerror, m:condition, m:declare, m:degree, m:domainofapplication, m:fn, m:interval.class, m:lambda.class, m:list, m:logbase, | m:lowlimit, m:momentabout, m:nary-constructor.class, m:otherwise, m:piece, m:reln, m:semantics (defined in group m:semantics-contexp), m:set, m:uplimit

XML Source (see within schema source)

<xs:group name="ContExp"> <xs:choice> <!--Ambiguous content model altered (ContExp)--> <xs:element ref="m:apply"/> <xs:element ref="m:bind"/> <xs:element ref="m:ci"/> <xs:element ref="m:cn"/> <xs:element ref="m:csymbol"/> <xs:element ref="m:cbytes"/> <xs:element ref="m:cerror"/> <xs:element ref="m:cs"/> <xs:element ref="m:share"/> <xs:element ref="m:piecewise"/> <xs:element ref="m:DeprecatedContExp"/> <xs:element ref="m:interval.class"/> <xs:element ref="m:unary-functional.class"/> <xs:element ref="m:lambda.class"/> <xs:element ref="m:nary-functional.class"/> <xs:group ref="m:binary-arith.class"/> <xs:group ref="m:unary-arith.class"/> <xs:element ref="m:nary-minmax.class"/> <xs:element ref="m:nary-arith.class"/> <xs:element ref="m:nary-logical.class"/> <xs:element ref="m:unary-logical.class"/> <xs:element ref="m:binary-logical.class"/> <xs:element ref="m:quantifier.class"/> <xs:element ref="m:nary-reln.class"/> <xs:element ref="m:binary-reln.class"/> <xs:element ref="m:int.class"/> <xs:element ref="m:Differential-Operator.class"/> <xs:element ref="m:partialdiff.class"/> <xs:element ref="m:unary-veccalc.class"/> <xs:element ref="m:nary-setlist-constructor.class"/> <xs:element ref="m:nary-set.class"/> <xs:element ref="m:binary-set.class"/> <xs:element ref="m:nary-set-reln.class"/> <xs:element ref="m:unary-set.class"/> <xs:element ref="m:sum.class"/> <xs:element ref="m:product.class"/> <xs:element ref="m:limit.class"/> <xs:element ref="m:unary-elementary.class"/> <xs:element ref="m:nary-stats.class"/> <xs:element ref="m:nary-constructor.class"/> <xs:element ref="m:unary-linalg.class"/> <xs:element ref="m:nary-linalg.class"/> <xs:element ref="m:binary-linalg.class"/> <xs:element ref="m:constant-set.class"/> <xs:element ref="m:constant-arith.class"/> </xs:choice> </xs:group>

Content Element Details (all declarations defined in this component; 43/58)
m:apply

Type: | anonymous complexType (extension of m:apply.content)
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:apply"/>

m:binary-linalg.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 3 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:binary-linalg.class"/>

m:binary-logical.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:binary-logical.class"/>

m:binary-reln.class

Type: | xs:anyType, predefined
Content: | any
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 4 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:binary-reln.class"/>

m:binary-set.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 5 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:binary-set.class"/>

m:bind

Type: | anonymous complexType (extension of m:bind.content)
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:bind"/>

m:cbytes

Type: | anonymous complexType (extension of m:base64)
Content: | simple
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:cbytes"/>

m:cerror

Type: | anonymous complexType
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:cerror"/>

m:ci

Type: | anonymous complexType (extension of m:ci.content)
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:ci"/>

m:cn

Type: | anonymous complexType (extension of m:cn.content)
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:cn"/>

m:constant-arith.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 8 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:constant-arith.class"/>

m:constant-set.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 7 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:constant-set.class"/>

m:cs

Type: | anonymous complexType
Content: | mixed
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:cs"/>

m:csymbol

Type: | anonymous complexType (extension of m:csymbol.content)
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:csymbol"/>

m:DeprecatedContExp

Type: | xs:anyType, predefined
Content: | any
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 3 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:DeprecatedContExp"/>

m:Differential-Operator.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:Differential-Operator.class"/>

m:int.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:int.class"/>

m:interval.class

Type: | anonymous complexType
Content: | complex
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:interval.class"/>

m:lambda.class

Type: | anonymous complexType
Content: | complex
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:lambda.class"/>

m:limit.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:limit.class"/>

m:nary-arith.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 4 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-arith.class"/>

m:nary-constructor.class

Type: | anonymous complexType
Content: | complex
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 3 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-constructor.class"/>

m:nary-functional.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-functional.class"/>

m:nary-linalg.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-linalg.class"/>

m:nary-logical.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 3 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-logical.class"/>

m:nary-minmax.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-minmax.class"/>

m:nary-reln.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 5 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-reln.class"/>

m:nary-set-reln.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-set-reln.class"/>

m:nary-set.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 3 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-set.class"/>

m:nary-setlist-constructor.class

Type: | xs:anyType, predefined
Content: | any
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-setlist-constructor.class"/>

m:nary-stats.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 5 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:nary-stats.class"/>

m:partialdiff.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:partialdiff.class"/>

m:piecewise

Type: | anonymous complexType
Content: | complex
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:piecewise"/>

m:product.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:product.class"/>

m:quantifier.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:quantifier.class"/>

m:share

Type: | anonymous complexType
Content: | empty
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:share"/>

m:sum.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:sum.class"/>

m:unary-elementary.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 24 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:unary-elementary.class"/>

m:unary-functional.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 8 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:unary-functional.class"/>

m:unary-linalg.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 2 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:unary-linalg.class"/>

m:unary-logical.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:unary-logical.class"/>

m:unary-set.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 1 element
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:unary-set.class"/>

m:unary-veccalc.class

Type: | anonymous complexType
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | substituted with 4 elements
Declared: | by reference in (this) group m:ContExp

XML Source (see within schema source)

<xs:element ref="m:unary-veccalc.class"/>

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.